/*
Copyright (C) Ivan Ivanov, 2014-2015

This file is part of kolkhoznik.
kolkhoznik is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

kolkhoznik is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with kolkhoznik.  If not, see <http://www.gnu.org/licenses/>.
*/



#include "Mdb_fuctions.h"
#include "string_functions.h"
//@QQQfinished commenting


namespace Khz{namespace Libs{ namespace DB{
   mapDB dbcontent(sqlite3_stmt *stmt)   // using:: mapDB[1]["Title"] to get value; mapDB[int n]["Title"].
   //mapDB is array that is analagous to result that php FETCH_ASSOC returns.
   {
       mapDB result;
    int j =0;
    //we have to have the ID column in the database, otherwise this function will not work.
    //Currently i have no idea how to make things better.
    while(  sqlite3_column_int( stmt, 0) )  //by id, it always exists and starts with 1
        {
        result.push_back(std::map<std::string,std::string>());
        for( int i = 0; i <= sqlite3_column_count(stmt); i++ )
            {
            if(sqlite3_column_text( stmt, i ))
                {
                result[j].insert(std::pair<std::string,std::string>(std::string(sqlite3_column_name(stmt, i)), std::string( (const char *)sqlite3_column_text( stmt, i ) ) ));
                }
            else if (sqlite3_column_int( stmt, i ))
                {
                result[j].insert(std::pair<std::string,std::string>(std::string(sqlite3_column_name(stmt, i)), Mstr::IntToString(sqlite3_column_int( stmt, i ) )));
                }
            }
        sqlite3_step( stmt );
        j=j+1;
        }
    return result;
    }



}}}// namespaces
