/*
Copyright (C) Ivan Ivanov, 2014-2015

This file is part of kolkhoznik.
kolkhoznik is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

kolkhoznik is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with kolkhoznik.  If not, see <http://www.gnu.org/licenses/>.
*/


namespace Khz{namespace Libs{

/**
@brief kolkhoznik specific function to work with the database
**/
namespace DB {

/**
sqlite3_open( path_to_database, &db) function works only if path separator  in path_to_database is "/". But on
WINDOWS path separator is "\". So, in case of WINDOWS, we need to replace path separators in the path_to_database.
This is why this function comes.
**/
wxString clear_path(wxString some_string);

}}}
