/*
Copyright (C) Ivan Ivanov, 2014-2015

This file is part of kolkhoznik.
kolkhoznik is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

kolkhoznik is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with kolkhoznik.  If not, see <http://www.gnu.org/licenses/>.
*/


#include <string>
namespace Khz{

/**
@brief libs for working with string, files, databases
**/
namespace Libs{




/////////////////////////////////////////////////////////////////////

/**
@brief file functions
**/
class Mfl
{
public:
    /**
    Calculates md5 of the file
    @param full_path_to_file the full path to the file
    **/
    static std::string md5(std::string full_path_to_file);

};

///////////////////////////////////////////////////////////////////////////////////////


}} // namespaces
