/*
Copyright (C) Ivan Ivanov, 2014-2015

This file is part of kolkhoznik.
kolkhoznik is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

kolkhoznik is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with kolkhoznik.  If not, see <http://www.gnu.org/licenses/>.
*/



#include "wx/taskbar.h"



namespace Khz{



/**
@brief The taskbar of the application (tray icon)

This class creates the taskbar icon. If user clicks this icon, we hide/show the main window.
On right mouse click we show a popup menu
@note
All of the event bindings for the taskbar are made in MyApp::OnInit()
**/
class my_TaskBar: public wxTaskBarIcon
{
public:
//#if defined(__WXOSX__) && wxOSX_USE_COCOA
//    my_TaskBar(wxTaskBarIconType iconType = wxTBI_DEFAULT_TYPE)
//    :   wxTaskBarIcon(iconType)
//#else
    /**
    Constructor is empty. I have no idea why, taken from wxWidgets samples
    **/
    my_TaskBar()
//#endif
    {}


    //void OnLeftButtonDClick(wxTaskBarIconEvent&);
    //void OnMenuExit(wxCommandEvent&);
    /**
    creates a popup menu when user right clicks the tray icon
    **/
    wxMenu* CreatePopupMenu();

};


}
