/*
Copyright (C) Ivan Ivanov, 2015

This file is part of kolkhoznik.
kolkhoznik is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

kolkhoznik is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with kolkhoznik.  If not, see <http://www.gnu.org/licenses/>.
*/




#include "ConfigureGuiSubwindow_full_text_search_indexer_params.h"
#include <wx/sizer.h>


namespace Khz{namespace CfgWin{


//constructor
ConfigureGuiSubwindow_full_text_search_indexer_params::
ConfigureGuiSubwindow_full_text_search_indexer_params(wxWindow *parent, wxString path_to_config)
    : ConfigureGuiSubwindowParent(parent)
    {
    // notebook is defined in ConfigureGuiSubwindowParent
    text_extractor_tab=new CfgTabFullTextSearchTextExtractor(notebook, path_to_config);
    archive_extractor_tab=new CfgTabFullTextSearchArchiveExtractor(notebook, path_to_config);
    //######################################################################
    notebook->AddPage(text_extractor_tab, "Text layer extractor");
    notebook->AddPage(archive_extractor_tab, wxT("Archive extractor"));
    //######################################################################

    //wxBoxSizer *main_sizer=new wxBoxSizer(wxHORIZONTAL);
    //main_sizer->Add(notebook, 1, wxEXPAND);
    //SetSizerAndFit(main_sizer);
    }


}}//namespaces
