/*
Copyright (C) Ivan Ivanov, 2015

This file is part of kolkhoznik.
kolkhoznik is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

kolkhoznik is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with kolkhoznik.  If not, see <http://www.gnu.org/licenses/>.
*/


#include "ConfigureGuiSubwindow_full_text_search_window.h"
#include <wx/sizer.h>


namespace Khz{namespace CfgWin{


ConfigureGuiSubwindow_full_text_search_window::ConfigureGuiSubwindow_full_text_search_window(wxWindow *parent, wxString path_to_config)
    : ConfigureGuiSubwindowParent(parent)
    {
    // notebook is defined in ConfigureGuiSubwindowParent
    fonts_and_colors_tab=new CfgTabFullTextSearchFontsAndColors(notebook, path_to_config);
    general_tab=new CfgTabFullTextSearchGeneral(notebook, path_to_config);
    stemmers_tab=new CfgTabFullTextSearchStemmers(notebook, path_to_config);
    //######################################################################
    notebook->AddPage(general_tab, "General");
    notebook->AddPage(fonts_and_colors_tab, wxT("Fonts and colors"));
    notebook->AddPage(stemmers_tab, wxT("Stemmers order"));
    //######################################################################

    //wxBoxSizer *main_sizer=new wxBoxSizer(wxHORIZONTAL);
    //main_sizer->Add(notebook, 1, wxEXPAND);
    //SetSizerAndFit(main_sizer);
    }

}}//namespaces
