/*
Copyright (C) Ivan Ivanov, 2014-2015

This file is part of kolkhoznik.
kolkhoznik is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

kolkhoznik is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with kolkhoznik.  If not, see <http://www.gnu.org/licenses/>.
*/


#include <wx/notebook.h>
#include <wx/frame.h>
#include <vector>
#include <wx/listbox.h>
#include <wx/window.h>
#include <wx/dialog.h>
#include <wx/sizer.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
#include <wx/button.h>
#include <wx/notebook.h>
#include <wx/fileconf.h>
#include "Configure_tabs_parent.h"
//#include "CfgTabPathsChooser.h"
//#include "CfgTabDefaultApps.h"
#include "ConfigureGuiSubwindow_general.h"
#include "Custom_IDs.h"
#include <wx/msgdlg.h>
#include "wx/log.h"
#include "DEBUGMESSAGE.h"

namespace Khz{namespace CfgWin{

ConfigureGuiSubwindow_general::ConfigureGuiSubwindow_general(wxWindow *parent, wxString path_to_config)
    : ConfigureGuiSubwindowParent(parent)
    {
    // Set the frame icon
   //#include "CoolIcon.xpm"
   //SetIcon(wxIcon(CoolIcon_xpm));
      //                        wxDefaultPosition, wxDefaultSize//,wxNB_LEFT
														//	);
    //######################################################################
    paths  =           new CfgTabPathsChooser(notebook, path_to_config);
    apps_window = new CfgTabDefaultApps(notebook, path_to_config);
    //######################################################################
    notebook->AddPage(paths, wxT("Paths"));
    notebook->AddPage(apps_window, wxT("Extensions"));
    //######################################################################

    //wxBoxSizer *main_sizer=new wxBoxSizer(wxHORIZONTAL);
    //main_sizer->Add(notebook, 1, wxEXPAND);
    //SetSizerAndFit(main_sizer);
    }

}}// namespaces
