/*
Copyright (C) Ivan Ivanov, 2014-2015

This file is part of kolkhoznik.
kolkhoznik is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

kolkhoznik is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with kolkhoznik.  If not, see <http://www.gnu.org/licenses/>.
*/



#include "sqlite3.h"
#include <string>
#include <vector>
#include <iostream>

namespace Khz{

    /**
    @brief functions and classes to generate the main kolkhoznik database.
    **/
    namespace GenDB{

/**
Creates table "topics"
**/
void create_dbtable_topics(sqlite3 *db);

/**
Creates table "main"
**/
void create_dbtable_main(sqlite3 *db);


}}// namespaces
