/*
Copyright (C) Ivan Ivanov, 2014-2015

This file is part of kolkhoznik.
kolkhoznik is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

kolkhoznik is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with kolkhoznik.  If not, see <http://www.gnu.org/licenses/>.
*/


#include <wx/fileconf.h>

namespace Khz{namespace Libs{
    /**
    Opens book
    @param RelPathToFile relative path to file in the library, for example "/P_Physics"
    @param extension extension of the file
    @param filename filename with extension but without path
    @param config config associated with the main config file
    **/
    void OpentheBook(wxString RelPathToFile, wxString extension, wxString filename, wxFileConfig *config );

    /**
    Opens book
    @param FullPathToFile full path to file
    @param extension extension of the file
    @param config config associated with the main config file
    **/
    void OpentheBook(wxString FullPathToFile, wxString extension, wxFileConfig *config );
}}// namespaces
