/*
Copyright (C) Ivan Ivanov, 2015

This file is part of kolkhoznik.
kolkhoznik is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

kolkhoznik is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with kolkhoznik.  If not, see <http://www.gnu.org/licenses/>.
*/


#include <wx/dialog.h>


namespace Khz{namespace PopupWins{


/**
@brief dialog that shows html page.

simply shows an html page.
**/
class HtmlMessageBox : public wxDialog
{
public:

    /**
    constructor
    @param parent standard wxwidgets parent
    @param id standard wxwidgets id
    @param title the window title
    @param pathToHtml full path to the html file
    @param pos standard wxwidgets position
    @param size standard wxwidgets size
    @param style see wxDialog supported styles
    @param name hell knows what it is, see wxDialog
    **/
    HtmlMessageBox
        (
        wxWindow *parent,
        wxWindowID id,
        wxString title,
        wxString pathToHtml,
        const wxPoint &pos=wxDefaultPosition,
        const wxSize &size=wxDefaultSize,
        long style=wxDEFAULT_DIALOG_STYLE,
        const wxString &name=wxDialogNameStr
        );
private:
};

}}//namespaces
