/*
Copyright (C) Ivan Ivanov, 2014-2015

This file is part of kolkhoznik.
kolkhoznik is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

kolkhoznik is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with kolkhoznik.  If not, see <http://www.gnu.org/licenses/>.
*/



#include "my_TaskBar.h"
#include <wx/menu.h>
#include <wx/event.h>
#include "TreeCtrlLibrary.h"
#include "MyleftPanel.h"
#include "MyMainWindow.h"


/**
@brief This namespace is the top level namespace of the whole project

All of the classes and namespaces of the kolkhoznik
**/
namespace Khz{



//void my_TaskBar::OnLeftButtonDClick(wxTaskBarIconEvent&)
//{
    //frame->Show(true);
//}
//void my_TaskBar::OnMenuExit(wxCommandEvent&)
//{
    //frame->Close();
//}

wxMenu *my_TaskBar::CreatePopupMenu()
{
    wxMenu *menu = new wxMenu;
#ifdef __WXOSX__
    if ( OSXIsStatusItem() )
#endif
    {
        menu->Append(wxID_EXIT,    wxT("E&xit"));
        menu->Append(wxID_ABOUT, wxT("&About...\tF1"));
    }
    return menu;
}

}
